%define languageenglazy Walloon
%define languagecode    wa
%define lc_ctype        wa_BE

Name:           hunspell-%{languagecode}
Version:        0.4.17
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://chanae.walon.org/walon/aspell.php
Source0:        http://chanae.walon.org/walon/aspell-wa-%{version}.tar.bz2
Patch0:         hunspell-wa-0.4.15-buildfix.patch

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-wa
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell- = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary- = 2

#MySpell is deprecated
# nothing to obsolete for Mga
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell-%{languagecode}-%{version}
%autopatch -p1

%build
make myspell
for i in TODO README; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p wa.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p wa.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README LGPL ChangeLog TODO
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.4.17-5.mga6
+ Revision: 947576
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.17-4.mga5
+ Revision: 741013
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.17-3.mga5
+ Revision: 680327
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.4.17-2.mga4
+ Revision: 530649
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.4.17-1.mga4
+ Revision: 458700
- New version: 0.4.17

* Sat Jan 12 2013 umeabot <umeabot> 0.4.15-8.mga3
+ Revision: 353760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.4.15-7.mga2
+ Revision: 224927
- add requirement on locales (mga#4632)
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.4.15-5.mga1
+ Revision: 69204
- imported package hunspell-wa


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.4.15-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Caolan McNamara <caolanm@redhat.com> - 0.4.15-1
- initial version
